Pandabase
Store APIsAnalytics

Get gross volume

GET
/stores/{storeId}/analytics/gross-volume

Returns gross transaction volume bucketed over the requested time range. Requires the ANALYTICS_READ scope.

Authorization

AuthorizationBearer <token>

Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.

In: header

Path Parameters

storeId*string
Length12 <= length <= 48

Query Parameters

period?||||||
startDate?string
Formatdate-time
endDate?string
Formatdate-time
granularity?|

Header Parameters

idempotency-key?string
Length8 <= length <= 32

Response Body

application/json

application/json

curl -X GET "https://example.com/stores/stringstring/analytics/gross-volume"
{  "ok": true,  "data": {    "series": [      {        "date": "2026-05-10",        "amount": 35400      },      {        "date": "2026-05-11",        "amount": 42100      },      {        "date": "2026-05-12",        "amount": 28900      },      {        "date": "2026-05-13",        "amount": 39850      },      {        "date": "2026-05-14",        "amount": 47200      }    ]  }}

Last updated on